<div *ngIf="model?.refundHistory?.length > 0" class="alert alert-warning m-2" role="alert">
    Note : First you need to remove associated Refunds inorder to Delete this Credit
</div>

<div *ngIf="model?.refundHistory?.length > 0 || !isCredit" class="w-100 d-flex align-items-center p-0 c-flex-wrap">
    <div class="round-corner-box flex-fill" style="margin: 10px;">
    <span class="link d-flex flex-column align-items-center justify-content-center" href="javascript:void(0)">
      <div class="flex-fill summary-number-deselected">
        ${{model.refundCreditSummary.totalCreditReceived}}
      </div>
      <div class="summary-title-deselected">
        Total Credit Received
      </div>
    </span>
    </div>
    <div class="round-corner-box flex-fill" style="margin: 10px;">
    <span class="link d-flex flex-column align-items-center justify-content-center" href="javascript:void(0)">
      <div class="flex-fill summary-number-deselected">
        ${{model.refundCreditSummary.totalCreditRefunded}}
      </div>
      <div class="summary-title-deselected">
        {{isCredit ? 'Total Credit Used' : 'Total Credit Refunded'}}
      </div>
    </span>
    </div>
    <div class="round-corner-box flex-fill" style="margin: 10px;">
    <span class="link d-flex flex-column align-items-center justify-content-center" href="javascript:void(0)">
      <div class="flex-fill summary-number-deselected">
        ${{model.refundCreditSummary.totalCreditBalance}}
      </div>
      <div class="summary-title-deselected">
        Total Credit Balance
      </div>
    </span>
    </div>
</div>

<form class="ps-content-section" [formGroup]="formGroup">
    <div style="padding: 20px 20px 5px 20px;">
        <div class="row">

            <div class="col-6">
                <div class="text-right w-100">
                    <div class="required-label-top">Required</div>
                </div>
                <mat-form-field [appearance]="'outline'" class="full-width mr-2">
                    <mat-label>Date</mat-label>
                    <app-date-picker formControlName="billingDate"></app-date-picker>
                    <mat-error *ngIf="formGroup.get('billingDate').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>

            <div class="col-6">
                <div class="text-right w-100">
                    <div class="required-label-top">Required</div>
                </div>
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Pay Type</mat-label>
                    <mat-select formControlName="creditType" (selectionChange)="onPaymentTypeChange($event)">
                        <mat-option *ngFor="let p of paymentTypes" [value]="p.id">
                            {{ p.paymentType }}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formGroup.get('creditType').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>

        </div>

        <div *ngIf="showChequeContainer">
            <div class="row">
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="'outline'" class="full-width mr-2">
                        <mat-label>Cheque No</mat-label>
                        <input matInput formControlName="chequeNo" placeholder="Cheque No"/>
                        <mat-error *ngIf="formGroup.get('chequeNo').hasError('required')">
                            This field is required.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="'outline'" class="full-width mr-2">
                        <mat-label>Bank Branch</mat-label>
                        <input matInput formControlName="bankBranch" placeholder="Bank Branch"/>
                        <mat-error *ngIf="formGroup.get('bankBranch').hasError('required')">
                            This field is required.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
        </div>

        <div *ngIf="showEFTContainer">
            <div class="row">
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="'outline'" class="full-width mr-2">
                        <mat-label>Reference No</mat-label>
                        <input matInput formControlName="referenceNo" placeholder="Reference No"/>
                        <mat-error *ngIf="formGroup.get('referenceNo').errors"> This field is required.</mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="'outline'" class="full-width mr-2">
                        <mat-label>Payer Name</mat-label>
                        <input matInput formControlName="payerName" placeholder="Payer Name"/>
                        <mat-error *ngIf="formGroup.get('payerName').hasError('required')">
                            This field is required.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
        </div>

        <div class="row d-flex align-content-end">

            <div class="col-sm-6">
                <div class="text-right w-100">
                    <div class="required-label-top">Required</div>
                </div>
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Amount</mat-label>
                    <input matInput placeholder="Amount" type="text" formControlName="amount" appOnlyNumber/>

                    <mat-error *ngIf="formGroup.get('amount').hasError('required')">
                        This field is required.
                    </mat-error>
                    <mat-error *ngIf="formGroup.get('amount').hasError('max')">
                        Refund amount can not be exceed Total Credit Balance.
                    </mat-error>
                </mat-form-field>
            </div>

            <div class="col-sm-6" *ngIf="billingPage" style="margin-top: 16px;">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Patient</mat-label>
                    <app-dropdown-search formControlName="patientId" [data]="patients"></app-dropdown-search>
                    <mat-error *ngIf="formGroup.get('patientId').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div *ngIf="showCreditOrDebitCardContainer">
            <div class="row" style="display: none;">
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="appearance" class="full-width">
                        <mat-label>Card Number</mat-label>
                        <input matInput #creditCardNumber placeholder="Card Number" formControlName="cardNumber"
                               (input)="cardValidatorChange(creditCardNumber.value)" maxlength="16"/>
                        <mat-error> Invalid card Number</mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="appearance" class="full-width">
                        <mat-label>Expiry Month</mat-label>
                        <div>
                            <input matInput type="text" name="month" placeholder="MM" maxlength="2" size="2"
                                   style="width:9%;"
                                   formControlName="expiryMonth"/>
                            <input matInput placeholder="/" disabled style="width:3%;">
                            <input matInput type="text" name="year" placeholder="YYYY" maxlength="4" size="2"
                                   style="width:10%;"
                                   formControlName="expiryYear"/>
                        </div>
                        <mat-error
                                *ngIf="formGroup.get('expiryMonth').hasError('required') || formGroup.get('expiryYear').hasError('required')">
                            This field is required.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row" style="display: none;">
                <div class="col-sm-6">
                    <div class="text-right w-100" style="margin-top: -16px;">
                        <div class="required-label-top">Required</div>
                    </div>
                    <mat-form-field [appearance]="appearance" class="full-width">
                        <mat-label>CVV</mat-label>
                        <input matInput placeholder="CVV" formControlName="cvv" maxlength="3"/>
                        <mat-error *ngIf="formGroup.get('cvv').hasError('required')">
                            This field is required.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">

                </div>
            </div>


        </div>

        <div class="w-100">
            <mat-form-field [appearance]="appearance" class="full-width ptt-select-form-field">
                <mat-label class="disable-label">Notes</mat-label>
                <textarea formControlName="notes" matInput style="height: 100px;"></textarea>
            </mat-form-field>
        </div>
    </div>
    <mat-divider></mat-divider>
    <div style="padding:2px 20px 5px 20px" *ngIf="model?.refundHistory?.length > 0">
        <span style="font-size:20px; margin-top:10px;margin-bottom:10px;">
          Refund History
        </span>

        <kendo-grid [data]="model.refundHistory" [pageSize]="10" [skip]="0" [pageable]="true" [columnMenu]="false"
                    [groupable]="false">

            <kendo-grid-column field="billingDate" title="Date">
                <ng-template kendoGridCellTemplate let-dataItem>
                    {{dataItem.billingDate | date: 'MM/dd/yyyy'}}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="billingId" title="Reference No"></kendo-grid-column>
            <!-- <kendo-grid-column field="paymentType" title="Refund Amount"></kendo-grid-column> -->

            <kendo-grid-column format="{0:c}" field="amount" title="Amount">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <span> ${{dataItem.amount}}</span>
                </ng-template>
            </kendo-grid-column>
        </kendo-grid>

    </div>
</form>

<ng-template #deleteButtonTemplate>
    <div class="flex-fill" *ngIf="model.id">
        <button *ngIf="model.refundHistory?.length == 0 || !isCredit" mat-stroked-button
                class="mat-stroked-button-delete footer-btn-customize mr-2"
                (click)="confirmDeleteCredit()">
            <span>Delete</span>
        </button>
    </div>
</ng-template>
